> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search contracts

> Search by params from response dto



## OpenAPI

````yaml /openapi.json post /api/v1/contract/c3/{licenseInstanceId}/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/contract/c3/{licenseInstanceId}/search:
    post:
      tags:
        - Contract Route
      summary: search contracts
      description: Search by params from response dto
      parameters:
        - name: licenseInstanceId
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JoinQuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoContractWithC3MetaDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    JoinQuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        where:
          description: Query string to search for data. Represent SQL 'where'
          type: string
          example: field1='value' and field2<>'value2'
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/SortDto'
        trackTotal:
          description: Return total results field if true
          default: false
          type: boolean
    PaginationDtoContractWithC3MetaDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ContractWithC3MetaDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    SortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        order:
          description: 'Order for the sorting. Default: ASC'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder'
    ContractWithC3MetaDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        projectId:
          format: int64
          description: The project ID associated with the extractor contract
          type: integer
        chainUid:
          description: Network uid that associated with extractor contract
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        address:
          description: The direct address of the extractor contract
          type: string
        implementation:
          description: >-
            Implementation address associated with the extractor contract, not
            null means this is a proxy contract
          type: string
        name:
          description: Name for the entity
          type: string
        category:
          description: Contract category
          type: string
        tags:
          description: Contract tags
          uniqueItems: true
          type: array
          items:
            type: string
        addressType:
          description: The type of a provided address, could be "Contract" or "Wallet"
          type: string
          allOf:
            - $ref: '#/components/schemas/AddressType'
        amlRequired:
          description: 'If the AML detector required for this contract. Default: false'
          type: boolean
        icon:
          description: A URL of an icon for the contract
          type: string
        audits:
          description: Audits associated with this contract
          type: array
          items:
            $ref: '#/components/schemas/ContractAuditDto'
        activeAmlDetectors:
          format: int32
          description: >-
            Count of detectors with status='ACTIVE' and detectorSchema.name='AML
            Monitor'
          type: integer
        alertsCount:
          format: int64
          description: >-
            Total count of alerts for this contract. This is os joined fields,
            you cant search or sort by it
          type: integer
        severityCount:
          description: >-
            Count of alerts by severity level for this contract. This is os
            joined fields, you cant search or sort by it
          type: object
          additionalProperties:
            format: int64
            type: integer
    SortOrder:
      enum:
        - Asc
        - Desc
      type: string
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
    AddressType:
      enum:
        - CONTRACT
        - WALLET
        - ENTITY
      type: string
    ContractAuditDto:
      required:
        - contractId
        - cerAuditorId
        - auditStatus
        - auditedAt
        - expiredAt
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        contractId:
          format: int64
          description: Contract Audit contract id
          type: integer
        cerAuditorId:
          format: int64
          description: Contract Audit auditor id from CER associated with the audit
          type: integer
        auditStatus:
          description: Contract Audit status of the audit
          type: string
          allOf:
            - $ref: '#/components/schemas/AuditStatus'
        auditedAt:
          format: int64
          description: Contract Audit date time
          type: integer
        expiredAt:
          format: int64
          description: Contract Audit expiration date time
          type: integer
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    AuditStatus:
      enum:
        - RELEVANT
        - NOT_RELEVANT
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````